org.jboss.netty.handler.ssl

## Class NotSslRecordException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - javax.net.ssl.SSLException
        - - org.jboss.netty.handler.ssl.NotSslRecordException

All Implemented Interfaces:
  Serializable

    public class NotSslRecordException
    extends SSLException

Special `SSLException` which will get thrown if a packet is received that not looks like a TLS/SSL record. A user can check for this `NotSslRecordException` and so detect if one peer tries to use secure and the other plain connection.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NotSslRecordException()`
`NotSslRecordException(String message)`
`NotSslRecordException(String message, Throwable cause)`
`NotSslRecordException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NotSslRecordException

    public NotSslRecordException()

#### NotSslRecordException

    public NotSslRecordException(String message)

#### NotSslRecordException

    public NotSslRecordException(Throwable cause)

#### NotSslRecordException

    public NotSslRecordException(String message,
                         Throwable cause)